## r-cran-psych 1.7.8

=== DESCRIPTION ===
Package: psych
Version: 1.7.8
Date: 2017-08-17
Title: Procedures for Psychological, Psychometric, and Personality
        Research
Author: William Revelle <revelle@northwestern.edu>
Maintainer: William Revelle <revelle@northwestern.edu>
Description: A general purpose toolbox for personality, psychometric theory and experimental psychology.   Functions are primarily for multivariate analysis and scale construction using factor analysis, principal component analysis, cluster analysis and reliability analysis, although others provide basic descriptive statistics. Item Response Theory is done using  factor analysis of tetrachoric and polychoric correlations. Functions for analyzing data at multiple levels include within and between group statistics, including correlations and factor analysis.   Functions for simulating and testing particular item and test structures are included. Several functions  serve as a useful front end for structural equation modeling.  Graphical displays of path diagrams, factor analysis and structural equation models are created using basic graphics. Some of the functions are written to support a book on psychometric theory as well as publications in personality research. For more information, see the <http://personality-project.org/r> web page.
License: GPL (>= 2)
Imports:
        mnormt,parallel,stats,graphics,grDevices,methods,foreign,lattice,nlme
Suggests: GPArotation, lavaan, sem, lme4,Rcsdp, graph, Rgraphviz
LazyData: true
ByteCompile: TRUE
URL: http://personality-project.org/r/psych
        http://personality-project.org/r/psych-manual.pdf
NeedsCompilation: no
Packaged: 2017-09-08 23:08:04 UTC; WR
Depends: R (>= 2.10)
Repository: CRAN
Date/Publication: 2017-09-09 14:12:52 UTC

=== debian/changelog ===
r-cran-psych (1.7.8-1) unstable; urgency=medium

  * Initial release (closes: #887002)

 -- Andreas Tille <tille@debian.org>  Fri, 12 Jan 2018 14:43:17 +0100

=== debian/control ===
Source: r-cran-psych
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-r,
               r-base-dev,
               r-cran-foreign,
               r-cran-lattice,
               r-cran-mnormt,
               r-cran-nlme
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-psych.git
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-psych.git
Homepage: https://cran.r-project.org/package=psych

Package: r-cran-psych
Architecture: all
Depends: ${R:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R procedures for psychological, psychometric, and personality research
 This GNU R package provides a general purpose toolbox for personality,
 psychometric theory and experimental psychology. Functions are primarily
 for multivariate analysis and scale construction using factor
 analysis, principal component analysis, cluster analysis and
 reliability analysis, although others provide basic descriptive
 statistics. Item Response Theory is done using factor analysis of
 tetrachoric and polychoric correlations. Functions for analyzing
 data at multiple levels include within and between group
 statistics, including correlations and factor analysis. Functions
 for simulating and testing particular item and test structures are
 included. Several functions serve as a useful front end for
 structural equation modeling. Graphical displays of path diagrams,
 factor analysis and structural equation models are created using
 basic graphics. Some of the functions are written to support a
 book on psychometric theory as well as publications in personality
 research.

## r-cran-psych 1.8.4

=== debian/changelog ===
r-cran-psych (1.8.4-2) unstable; urgency=medium

  * Rebuild for R 3.5 transition

 -- Andreas Tille <tille@debian.org>  Sat, 02 Jun 2018 09:16:34 +0200

r-cran-psych (1.8.4-1) unstable; urgency=medium

  * New upstream version
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * dh-update-R to update Build-Depends
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Tue, 08 May 2018 11:38:51 +0200

r-cran-psych (1.8.3.3-1) unstable; urgency=medium

  * New upstream version
  * Fix Vcs-Browser

 -- Andreas Tille <tille@debian.org>  Mon, 02 Apr 2018 00:12:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: r-cran-psych
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev,
+               r-cran-mnormt,
                r-cran-foreign,
                r-cran-lattice,
-               r-cran-mnormt,
                r-cran-nlme
-Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-psych.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-psych
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-psych.git
 Homepage: https://cran.r-project.org/package=psych
 
 Package: r-cran-psych
 Architecture: all
-Depends: ${R:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${R:Depends},
+         ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R procedures for psychological, psychometric, and personality research

## r-cran-psych 1.8.12

=== debian/changelog ===
r-cran-psych (1.8.12-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Thu, 17 Jan 2019 11:05:49 +0100

r-cran-psych (1.8.10-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Mon, 03 Dec 2018 10:57:25 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-mnormt,
                r-cran-foreign,
                r-cran-lattice,
                r-cran-nlme
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-psych
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-psych.git
 Homepage: https://cran.r-project.org/package=psych

## r-cran-psych 1.9.12.31

=== DESCRIPTION ===
Package: psych
Version: 1.9.12.31
Date: 2019-12-31
Title: Procedures for Psychological, Psychometric, and Personality
        Research
Authors@R: person("William", "Revelle", role =c("aut","cre"), email="revelle@northwestern.edu", comment=c(ORCID  = "0000-0003-4880-9610") )
Description: A general purpose toolbox for personality, psychometric theory and experimental psychology.   Functions are primarily for multivariate analysis and scale construction using factor analysis, principal component analysis, cluster analysis and reliability analysis, although others provide basic descriptive statistics. Item Response Theory is done using  factor analysis of tetrachoric and polychoric correlations. Functions for analyzing data at multiple levels include within and between group statistics, including correlations and factor analysis.   Functions for simulating and testing particular item and test structures are included. Several functions  serve as a useful front end for structural equation modeling.  Graphical displays of path diagrams, factor analysis and structural equation models are created using basic graphics. Some of the functions are written to support a book on psychometric theory as well as publications in personality research. For more information, see the <https://personality-project.org/r> web page.
License: GPL (>= 2)
Imports: mnormt,parallel,stats,graphics,grDevices,methods,lattice,nlme
Suggests: psychTools, GPArotation, lavaan, sem, lme4,Rcsdp, graph,
        Rgraphviz
LazyData: yes
ByteCompile: TRUE
URL: https://personality-project.org/r/psych
        https://personality-project.org/r/psych-manual.pdf
NeedsCompilation: no
Packaged: 2020-01-06 20:42:21 UTC; WR
Author: William Revelle [aut, cre] (<https://orcid.org/0000-0003-4880-9610>)
Maintainer: William Revelle <revelle@northwestern.edu>
Repository: CRAN
Date/Publication: 2020-01-08 23:00:27 UTC

=== debian/changelog ===
r-cran-psych (1.9.12.31-1) unstable; urgency=medium

  * New upstream version
  * Test-Depends: psychTools

 -- Andreas Tille <tille@debian.org>  Tue, 14 Jan 2020 10:07:16 +0100

r-cran-psych (1.9.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 03 Jan 2020 15:54:46 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-mnormt,
                r-cran-foreign,
                r-cran-lattice,
                r-cran-nlme
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-psych
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-psych.git
 Homepage: https://cran.r-project.org/package=psych

=== debian/tests/control ===
Tests: vignette
Depends: @, r-cran-sem, r-cran-gparotation, r-cran-psychtools
Restrictions: allow-stderr

## r-cran-psych 2.0.12

=== DESCRIPTION ===
Package: psych
Version: 2.0.12
Date: 2020-12-14
Title: Procedures for Psychological, Psychometric, and Personality
        Research
Authors@R: person("William", "Revelle", role =c("aut","cre"), email="revelle@northwestern.edu", comment=c(ORCID  = "0000-0003-4880-9610") )
Description: A general purpose toolbox for personality, psychometric theory and experimental psychology.   Functions are primarily for multivariate analysis and scale construction using factor analysis, principal component analysis, cluster analysis and reliability analysis, although others provide basic descriptive statistics. Item Response Theory is done using  factor analysis of tetrachoric and polychoric correlations. Functions for analyzing data at multiple levels include within and between group statistics, including correlations and factor analysis.   Functions for simulating and testing particular item and test structures are included. Several functions  serve as a useful front end for structural equation modeling.  Graphical displays of path diagrams, factor analysis and structural equation models are created using basic graphics. Some of the functions are written to support a book on psychometric theory as well as publications in personality research. For more information, see the <https://personality-project.org/r/> web page.
License: GPL (>= 2)
Imports: mnormt,parallel,stats,graphics,grDevices,methods,lattice,nlme
Suggests: psychTools, GPArotation, lavaan, lme4, Rcsdp, graph,
        Rgraphviz
LazyData: yes
ByteCompile: TRUE
URL: https://personality-project.org/r/psych/
        https://personality-project.org/r/psych-manual.pdf
NeedsCompilation: no
Packaged: 2020-12-16 00:46:41 UTC; WR
Author: William Revelle [aut, cre] (<https://orcid.org/0000-0003-4880-9610>)
Maintainer: William Revelle <revelle@northwestern.edu>
Repository: CRAN
Date/Publication: 2020-12-16 16:10:03 UTC

=== debian/changelog ===
r-cran-psych (2.0.12-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 16 Jan 2021 12:59:15 +0100

r-cran-psych (2.0.9-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 09 Oct 2020 11:22:09 +0200

r-cran-psych (2.0.8-1) unstable; urgency=medium

  * New upstream version
  * Test-Depends: r-cran-lavaan

 -- Andreas Tille <tille@debian.org>  Mon, 21 Sep 2020 13:54:15 +0200

r-cran-psych (2.0.7-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 03 Sep 2020 19:29:26 +0200

r-cran-psych (1.9.12.31-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 17 May 2020 08:00:41 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,19 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-mnormt,
-               r-cran-foreign,
                r-cran-lattice,
                r-cran-nlme
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-psych
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-psych.git
 Homepage: https://cran.r-project.org/package=psych
+Rules-Requires-Root: no
 
 Package: r-cran-psych
 Architecture: all

=== debian/tests/control ===
Tests: vignette
Depends: @, r-cran-sem, r-cran-gparotation, r-cran-psychtools, r-cran-lavaan
Restrictions: allow-stderr

## r-cran-psych 2.1.9

=== DESCRIPTION ===
Package: psych
Version: 2.1.9
Date: 2021-09-20
Title: Procedures for Psychological, Psychometric, and Personality
        Research
Authors@R: person("William", "Revelle", role =c("aut","cre"), email="revelle@northwestern.edu", comment=c(ORCID  = "0000-0003-4880-9610") )
Description: A general purpose toolbox for personality, psychometric theory and experimental psychology.   Functions are primarily for multivariate analysis and scale construction using factor analysis, principal component analysis, cluster analysis and reliability analysis, although others provide basic descriptive statistics. Item Response Theory is done using  factor analysis of tetrachoric and polychoric correlations. Functions for analyzing data at multiple levels include within and between group statistics, including correlations and factor analysis.   Functions for simulating and testing particular item and test structures are included. Several functions  serve as a useful front end for structural equation modeling.  Graphical displays of path diagrams, factor analysis and structural equation models are created using basic graphics. Some of the functions are written to support a book on psychometric theory as well as publications in personality research. For more information, see the <https://personality-project.org/r/> web page.
License: GPL (>= 2)
Imports: mnormt,parallel,stats,graphics,grDevices,methods,lattice,nlme
Suggests: psychTools, GPArotation, lavaan, lme4, Rcsdp, graph, knitr,
        Rgraphviz
LazyData: yes
ByteCompile: TRUE
VignetteBuilder: knitr
URL: https://personality-project.org/r/psych/
        https://personality-project.org/r/psych-manual.pdf
NeedsCompilation: no
Packaged: 2021-09-20 20:18:56 UTC; WR
Author: William Revelle [aut, cre] (<https://orcid.org/0000-0003-4880-9610>)
Maintainer: William Revelle <revelle@northwestern.edu>
Repository: CRAN
Date/Publication: 2021-09-22 10:10:02 UTC

=== debian/changelog ===
r-cran-psych (2.1.9-2) unstable; urgency=medium

  * Team upload.
  * d/t/control: Add r-cran-knitr to test deps (fixes autopkgtest)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 02 Nov 2021 01:03:47 +0530

r-cran-psych (2.1.9-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 24 Sep 2021 07:01:27 +0200

r-cran-psych (2.1.6-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 29 Aug 2021 21:43:02 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-mnormt,
                r-cran-lattice,
                r-cran-nlme
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-psych
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-psych.git
 Homepage: https://cran.r-project.org/package=psych

=== debian/tests/control ===
Tests: vignette
Depends: @, r-cran-sem, r-cran-gparotation, r-cran-psychtools, r-cran-lavaan, r-cran-knitr
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/psych_([-\d.]*)\.tar\.gz

## r-cran-psych 2.2.5

=== debian/changelog ===
r-cran-psych (2.2.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.2.5
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 17 May 2022 13:07:34 +0530

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-mnormt,
                r-cran-lattice,
                r-cran-nlme
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-psych
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-psych.git
 Homepage: https://cran.r-project.org/package=psych

## r-cran-psych 2.2.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: psych
-Version: 2.1.9
-Date: 2021-09-20
+Version: 2.2.9
+Date: 2022-09-12
 Title: Procedures for Psychological, Psychometric, and Personality
         Research
 Authors@R: person("William", "Revelle", role =c("aut","cre"), email="revelle@northwestern.edu", comment=c(ORCID  = "0000-0003-4880-9610") )
@@ -10,13 +10,13 @@
 Suggests: psychTools, GPArotation, lavaan, lme4, Rcsdp, graph, knitr,
         Rgraphviz
 LazyData: yes
-ByteCompile: TRUE
+ByteCompile: true
 VignetteBuilder: knitr
 URL: https://personality-project.org/r/psych/
         https://personality-project.org/r/psych-manual.pdf
 NeedsCompilation: no
-Packaged: 2021-09-20 20:18:56 UTC; WR
+Packaged: 2022-09-25 00:46:08 UTC; WR
 Author: William Revelle [aut, cre] (<https://orcid.org/0000-0003-4880-9610>)
 Maintainer: William Revelle <revelle@northwestern.edu>
 Repository: CRAN
-Date/Publication: 2021-09-22 10:10:02 UTC
+Date/Publication: 2022-09-29 13:30:02 UTC

=== debian/changelog ===
r-cran-psych (2.2.9-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 08 Oct 2022 21:15:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: r-cran-psych
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-psych
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-psych.git
+Homepage: https://cran.r-project.org/package=psych
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-mnormt,
                r-cran-lattice,
                r-cran-nlme
-Standards-Version: 4.6.1
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-psych
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-psych.git
-Homepage: https://cran.r-project.org/package=psych
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-psych
 Architecture: all

## r-cran-psych 2.3.6

=== debian/changelog ===
r-cran-psych (2.3.6-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Deactivate vignette test

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jun 2023 16:09:58 +0200

## r-cran-psych 2.4.1

=== DESCRIPTION ===
Package: psych
Version: 2.4.1
Date: 2024-01-14
Title: Procedures for Psychological, Psychometric, and Personality
        Research
Authors@R: person("William", "Revelle", role =c("aut","cre"), email="revelle@northwestern.edu", comment=c(ORCID  = "0000-0003-4880-9610") )
Description: A general purpose toolbox developed originally for personality, psychometric theory and experimental psychology.  Functions are primarily for multivariate analysis and scale construction using factor analysis, principal component analysis, cluster analysis and reliability analysis, although others provide basic descriptive statistics. Item Response Theory is done using  factor analysis of tetrachoric and polychoric correlations. Functions for analyzing data at multiple levels include within and between group statistics, including correlations and factor analysis.  Validation and cross validation of scales developed using basic machine learning algorithms are provided, as are functions for simulating and testing particular item and test structures. Several functions  serve as a useful front end for structural equation modeling.  Graphical displays of path diagrams, including mediation models, factor analysis and structural equation models are created using basic graphics. Some of the functions are written to support a book on psychometric theory as well as publications in personality research. For more information, see the <https://personality-project.org/r/> web page.
License: GPL (>= 2)
Imports: mnormt,parallel,stats,graphics,grDevices,methods,lattice,nlme
Suggests: psychTools, GPArotation, lavaan, lme4, Rcsdp, graph, knitr,
        Rgraphviz
LazyData: yes
ByteCompile: true
VignetteBuilder: knitr
URL: https://personality-project.org/r/psych/
        https://personality-project.org/r/psych-manual.pdf
NeedsCompilation: no
Packaged: 2024-01-16 15:32:05 UTC; WR
Author: William Revelle [aut, cre] (<https://orcid.org/0000-0003-4880-9610>)
Maintainer: William Revelle <revelle@northwestern.edu>
Repository: CRAN
Date/Publication: 2024-01-18 13:10:06 UTC

=== debian/changelog ===
r-cran-psych (2.4.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 31 Jan 2024 21:52:49 +0100

r-cran-psych (2.3.12-1) unstable; urgency=medium

  * New upstream version
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jan 2024 09:13:34 +0100

r-cran-psych (2.3.9-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 16 Oct 2023 07:50:11 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-psych
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-psych.git
 Homepage: https://cran.r-project.org/package=psych
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_installdocs:
	dh_installdocs
	# Error in `eval(code, test_env)`: object 'ability' not found
	rm `grep -l ability debian/*/usr/share/doc/r-cran-psych/tests/testthat/*`

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-psychtools,
        r-cran-gparotation,
        r-cran-lavaan,
        r-cran-lme4,
        r-cran-rcsdp,
        r-bioc-graph,
        r-cran-knitr
Restrictions: allow-stderr

## r-cran-psych 2.4.12

=== DESCRIPTION ===
Package: psych
Version: 2.4.12
Date: 2024-12-05
Title: Procedures for Psychological, Psychometric, and Personality
        Research
Authors@R: person("William", "Revelle", role =c("aut","cre"), email="revelle@northwestern.edu", comment=c(ORCID  = "0000-0003-4880-9610") )
Description: A general purpose toolbox developed originally for personality, psychometric theory and experimental psychology.  Functions are primarily for multivariate analysis and scale construction using factor analysis, principal component analysis, cluster analysis and reliability analysis, although others provide basic descriptive statistics. Item Response Theory is done using  factor analysis of tetrachoric and polychoric correlations. Functions for analyzing data at multiple levels include within and between group statistics, including correlations and factor analysis.  Validation and cross validation of scales developed using basic machine learning algorithms are provided, as are functions for simulating and testing particular item and test structures. Several functions  serve as a useful front end for structural equation modeling.  Graphical displays of path diagrams, including mediation models, factor analysis and structural equation models are created using basic graphics. Some of the functions are written to support a book on psychometric theory as well as publications in personality research. For more information, see the <https://personality-project.org/r/> web page.
License: GPL (>= 2)
Imports:
        mnormt,parallel,stats,graphics,grDevices,methods,lattice,nlme,GPArotation
Suggests: psychTools, lavaan, lme4, Rcsdp, graph, knitr, Rgraphviz
LazyData: yes
ByteCompile: true
VignetteBuilder: knitr
URL: https://personality-project.org/r/psych/
        https://personality-project.org/r/psych-manual.pdf
NeedsCompilation: no
Packaged: 2024-12-21 20:55:29 UTC; WR
Author: William Revelle [aut, cre] (<https://orcid.org/0000-0003-4880-9610>)
Maintainer: William Revelle <revelle@northwestern.edu>
Repository: CRAN
Date/Publication: 2024-12-23 09:40:02 UTC

=== debian/changelog ===
r-cran-psych (2.4.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 29 Jan 2025 14:31:37 +0900

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,15 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-psych
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-psych.git
 Homepage: https://cran.r-project.org/package=psych
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-mnormt,
                r-cran-lattice,
-               r-cran-nlme
+               r-cran-nlme,
+               r-cran-gparotation
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-psych

=== debian/tests/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Tests: run-unit-test
 Depends: @,
          r-cran-psychtools,
-        r-cran-gparotation,
         r-cran-lavaan,
         r-cran-lme4,
         r-cran-rcsdp,
